Legacy CHEESE API

Search File

Suggest an edit
GET
/search_file

Search a of molecules based on various criteria.

This endpoint allows users to search for multiple molecules using different search types and qualities. Multiple databases can be specified for the search.

Parameters:

  • input_file (str) : Path to the input file
  • smiles_col (str) : The column name of SMILES strings in case of a csv file (default 'SMILES')
  • search_type (str): The type of search to perform.
  • n_neighbors (int): The number of neighbors to consider.
  • search_quality (str): The quality of the search.
  • db_names (List[str]): The databases to use for the search.
  • output_file (str) : Path to the destination file

Returns:

  • A dictionary containing the search results.

Authorization

APIKeyHeader
X-API-Key<token>

In: header

Query Parameters

input_file?Input File
Default""
smiles_col?Smiles Col
Default"SMILES"
search_type?SearchTypes

The type of search to perform

Default"espsim_shape"

Value in

  • "morgan"
  • "espsim_electrostatic"
  • "espsim_shape"
  • "synthongpt"
n_neighbors?N Neighbors
Default30
search_quality?SearchQuality

Speed/Accuracy Tradeoff

Default"fast"

Value in

  • "fast"
  • "accurate"
  • "very_accurate"
  • "100"
  • "1000"
  • "10000"
db_names?Db Names

Selected Databases

Default"ZINC15,ENAMINE-REAL"
output_file?Output File

Destination file

Default"/tmp/search_results.csv"

Response Body

application/json

application/json

curl -X GET "https://example.com/search_file"
null